Subject: [v6ops] Guidance on IPv4-mapped addresses in SVCB DNS RR draft

From: Erik Nygren <[email-masked]>
Date: Tue, 22 Feb 2022 19:36:42 -0500

In <https://www.ietf.org/archive/id/draft-ietf-dnsop-svcb-https-08.html>
draft-ietf-dnsop-svcb-https
<https://www.ietf.org/archive/id/draft-ietf-dnsop-svcb-https-08.html> we
have an ipv6hint attribute (which can
provide IPv6 server addresses prior to a AAAA DNS lookup completing).
In a recent issue/PR, someone pointed out that we didn't provide
guidance on how to handle IPv4-mapped addresses (eg, ::ffff:192.51.100.100).

Once we fixed the test case (to make sure that IPv4-embedded
addresses such as 2001:db8::192.51.100.100 are covered),
a question remains as to whether there should be any mention
of handling for IPv4-mapped addresses.

RFC 3596 doesn't mention IPv4-mapped addresses at all,
but they are a common gotcha (although per
https://www.employees.org/~dwing/aaaa-stats/
they seem to be generally better than they were long ago).

Thoughts on if this should get special mention or just get ignored?
(Alternatively, it might be worth a small v6ops draft saying "don't do this"
although it's unclear that the people making this mistake would notice.)

Discussion:
https://github.com/MikeBishop/dns-alt-svc/pull/362
https://github.com/MikeBishop/dns-alt-svc/issues/361

It may also be of interest how this draft handles DNS64
but hopefully that is reasonable:
https://www.ietf.org/archive/id/draft-ietf-dnsop-svcb-https-08.html#name-ipv4hint-and-ipv6hint
Best, Erik

---

From: <[email-masked]>
Date: Wed, 23 Feb 2022 07:12:54 +0000

Hi Erik,

I would suggest to update the SVCB draft to cite Section 2.4 of RFC6052 when IPv4-emebded IPv6 address is mentioned.

Rather than saying “don’t use IPv4-mapped addresses”, but to record the implication of such use. I suggest that the text simply says that when such addresses are presented to some OSes, IPv4 packets are generated not IPv6 packets (see, e.g., Section 4.2 of RFC6052).

Cheers,
Med

De : v6ops <[email-masked]> De la part de Erik Nygren
Envoyé : mercredi 23 février 2022 01:37
À : [email-masked] list <[email-masked]>
Objet : [v6ops] Guidance on IPv4-mapped addresses in SVCB DNS RR draft

In draft-ietf-dnsop-svcb-https<https://www.ietf.org/archive/id/draft-ietf-dnsop-svcb-https-08.html> we have an ipv6hint attribute (which can
provide IPv6 server addresses prior to a AAAA DNS lookup completing).
In a recent issue/PR, someone pointed out that we didn't provide
guidance on how to handle IPv4-mapped addresses (eg, ::ffff:192.51.100.100).

Discussion:

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.